var webpack = require('webpack');
var path = require('path');

var root = path.join(__dirname, '..');
module.exports = {
  entry: path.join(root, "./src/react-core-image-upload.jsx"),
  output: {
    path: root,
    filename: "react-core-image-upload.js",
    libraryTarget: 'umd',
  },
  externals: {
    "react":"React",
    "react-dom":'ReactDOM',
    'prop-types': 'prop-types'
  },

  module: {
    loaders: [
      {
        test: /\.jsx?$/,
        loaders: ['babel-loader?presets[]=react,presets[]=es2015'],
        exclude: /node_modules/
      },

      {
        test: /\.ope/,
        loader: "style!css"
      }
        ]
  },
  plugins: [
      new webpack.NoErrorsPlugin(),
      new webpack.optimize.UglifyJsPlugin( {
        minimize : true,
        sourceMap : false,
        mangle: true,
        compress: {
          warnings: false
        }
      })
    ]
};
